## org.eclipse.datatools.enablement.ase.ddl
Class SybaseASEDdlParser

    java.lang.Object
      org.eclipse.datatools.enablement.ase.ddl.SybaseASEDdlParser

    public class SybaseASEDdlParser

extends java.lang.Object

Constructor Summary
`SybaseASEDdlParser()`
`SybaseASEDdlParser(DatabaseDefinition def)`

Method Summary
`static void` `main(java.lang.String[] args)`
`java.lang.String` `parseDefaultRuleStatement(java.lang.String deftStr)`
`java.lang.String` `parseInlineDefault(java.lang.String deftStr)`
`void` `parseView(ViewTable view, java.lang.String viewText)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEDdlParser

    public SybaseASEDdlParser()

### SybaseASEDdlParser

    public SybaseASEDdlParser(DatabaseDefinition def)

Method Detail

### parseView

    public void parseView(ViewTable view,
                          java.lang.String viewText)

### parseDefaultRuleStatement

    public java.lang.String parseDefaultRuleStatement(java.lang.String deftStr)

### parseInlineDefault

    public java.lang.String parseInlineDefault(java.lang.String deftStr)

### main

    public static void main(java.lang.String[] args)